# cabal2spec-0.25.4
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name tagged

%global common_summary Newtype wrappers for phantom types

%global common_description Newtype wrappers for phantom types to avoid unsafely passing dummy arguments.

Name:           ghc-%{pkg_name}
Version:        0.4.2.1
Release:        2%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


# devel subpackage
%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 13 2012 Jens Petersen <petersen@redhat.com> - 0.4.2.1-1
- update to 0.4.2.1

* Fri Apr 13 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.4.2-1-- Package update to 0.4.2
- Dependencies on semigroups and data-default removed.

* Fri Apr 13 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.4.1-2
- Rebuild for semigroups update

* Mon Apr  9 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.4.1-1
- spec file updated to 0.25.4
- package updated to 0.4.1

* Sun Mar 18 2012 Jens Petersen <petersen@redhat.com> - 0.2.3.1-4
- update to cabal2spec-0.25

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Oct 30 2011 Jens Petersen <petersen@redhat.com> - 0.2.3.1-2
- rebuild against new gmp

* Mon Oct 17 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.2.3.1-1
- License is BSD. Added dependencies.

* Mon Oct 17 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.2.3.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
